/*********************************************************************
        ComBuf.h
        PDA/PC Sync buffer control
        Kenny Ng
        13 Nov 98
**********************************************************************/
#ifndef __COM_BUF_H__
#define __COM_BUF_H__
#include "datatype.h"



#define SYNC_BUF_SIZE   16380   /* ~16k buffer */
UWORD BufferGetLength();
void BufferEmpty();
void BufferRemove(UWORD len);
void BufferAddChar(UBYTE x);
UWORD BufferFindChar(UBYTE x);

extern UBYTE sync_buf[SYNC_BUF_SIZE];

#endif
